Summary: An X based ORIC emulator
Name: xeuphoric
Version: 0.18.2
Release: 6%{?dist}
License: GPL
Group: Applications/Emulators
Source0: http://www.teaser.fr/~amajorel/%{name}/%{name}-%{version}.tar.gz
URL: http://www.treaser.fr/~amajorel/%{name}
Source1: xeuphoric.desktop
Source2: xeuphoric.png
Patch0: xeuphoric-config.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires: arts-devel libXext-devel desktop-file-utils
Requires: %{name}-roms
ExcludeArch: x86_64 ia64 ppc
# excluded due to compilation problems - upstream developer changing RSN (me!)

%description
xeuphoric is an X based ORIC emulator which has full support for sound,
HIRES graphics, saving, loading and emulation of the original ORIC-1, Oric
Atmos (default) and the Telestat (which would have come next had Oric not
vanished under the waves!)

%package roms
Summary : ROMS required for %{name}
Group: Applications/Emulators
Requires: %{name} = %{version}-%{release}

%description roms
ROMS required to run %{name}

%prep
%setup -q 
%patch0 -p1
sed -i 's/\r//' doc/euphoric-0.99b/*
%{_bindir}/iconv -t UTF-8 docsrc/xeuphoric.1 -o docsrc/xeuphoric.1

%build
./configure
make CFLAGS="-DX11 %{optflags}" %{?_smp_mflags}

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}%{_bindir}
mkdir -p %{buildroot}%{_datadir}/%{name}/%{version}
mkdir -p %{buildroot}%{_mandir}/man1
mkdir -p %{buildroot}%{_sysconfdir}/%{name}/%{version}
mkdir -p %{buildroot}%{_datadir}/applications
mkdir -p %{buildroot}%{_datadir}/pixmaps

install -m 0755 %{name} %{buildroot}%{_bindir}/%{name}
cp docsrc/%{name}.1 %{buildroot}%{_mandir}/man1/%{name}.1
cp *.rom %{buildroot}%{_datadir}/%{name}/%{version}
cp %{SOURCE1} %{buildroot}%{_datadir}/applications
install -m 0644 .xeuphoricrc %{buildroot}%{_sysconfdir}/%{name}/%{version}/xeuphoricrc
install -m 0644 %{SOURCE2} %{buildroot}%{_datadir}/pixmaps/%{name}.png

desktop-file-install --vendor fedora \
    --dir %{buildroot}%{_datadir}/applications \
    --add-category X-Fedora \
    --delete-original \
    %{buildroot}%{_datadir}/applications/xeuphoric.desktop

%clean
rm -rf %{buildroot}

%post
update-desktop-database &> /dev/null || :

%postun
update-desktop-database &> /dev/null || :

%files
%defattr(-,root,root)
%doc doc/euphoric-0.99b/* COPYING
%{_bindir}/%{name}
%{_mandir}/man1/*
%config (noreplace) %{_sysconfdir}/%{name}/
%{_datadir}/applications/fedora-%{name}.desktop
%{_datadir}/pixmaps/%{name}.png

%files roms
%{_datadir}/%{name}/

%changelog
* Sat Oct 21 2006 Paul F. Johnson <paul@all-the-johnsons.co.uk> - 0.18.2-6
- changed ppc64 to ppc

* Sun Oct 15 2006 Paul F. Johnson <paul@all-the-johnsons.co.uk> - 0.18.2-5
- corrected iconv

* Sun Oct 15 2006 Paul F. Johnson <paul@all-the-johnsons.co.uk> - 0.18.2-4
- fixed sysconfdir issue
- added desktop file and desktop icon
- added post and postun
- added CFLAGS to the make line

* Sat Oct 14 2006 Paul F. Johnson <paul@all-the-johnsons.co.uk> - 0.18.2-3
- created new ROM subpackage

* Sat Aug 26 2006 Paul F. Johnson <paul@all-the-johnsons.co.uk> - 0.18.2-2
- fixed sysconfdir problem

* Mon Aug 10 2006 Paul F. Johnson <paul@all-the-johnsons.co.uk> - 0.18.2-1
- Initial import into FE
- created datapath patch
- added own makeinstall as the provided one is broken

